\begin{lstlisting}[style=XHTML, caption={IP Bereich Aufteilen}, label=code:ip-bereich-aufteilen]
while [ true ]
do
	if [ $e_ipBer3 -eq $l_ipBer3 ]
	then
		netzID="$e_ipBer1"".""$e_ipBer2"".""$e_ipBer3""."
		ersterHost=0
		letzterHost=254
		runPing $netzID $ersterHost $letzterHost $3
		sleep 5
		scriptFertig="true"
		break
	else
		netzID="$e_ipBer1"".""$e_ipBer2"".""$e_ipBer3""."
		if [ "$validateIfNetzid" == "true" ]
		then
			ersterHost=1
			letzterHost=255
			validateIfNetzid="false"
		else
			ersterHost=0
			letzterHost=255
		fi
		#Durch das & Zeichen wird der Aufruf in den Hintergrund verschoben und das Skript kann weiter machen
		runPing $netzID $ersterHost $letzterHost $3 &
		e_ipBer3=$(($e_ipBer3+1))
	fi
done
...
\end{lstlisting}